0

I am creating a website and on YouTube I saw someone paste this command in console to install additional extentions

apt-get install php5-mysql php5-curl php5-gd php5-intl php-pear php5-imagick php5-imap php5-mcrypt php5-memcache php5-ming php5-ps php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl

I have php7 installed and this command is not working for me.

I need to install these PHP extensions: -mysql -curl -gd -intl -pear -imagick -imap -mcrypt -memcache -ming -ps -pspell -recode -snmp -sqlite -tidy -xmlrpc -xsl

To VPS Ubuntu, but with php7, for example: php7-mysql

3
  • I recommend you edit this with a more detailed explanation of what you are trying to do. Right now this is unclear. – Eliah Kagan Sep 22 '17 at 12:07
  • First of all you should know which minor version of PHP 7.x you need. In my Ubuntu 16.04 there are 3 of them - php7.0, php7.1, php7.2. – M. Dm. Sep 22 '17 at 12:27
  • Why are you using a video using php5 to configure a web server using php7 ? At a minimum it sounds as if your video is a bit long in the tooth and php packages may have changed in the last 2 releases. – Panther Sep 22 '17 at 12:32
1

You can search it by this command:

apt-cache search php7.0

After the search, you can install anything you need, for example:

apt-get install php7.0-mysql

If the first command isn't help, you need to run apt-get update as well.

1

Not the answer you're looking for? Browse other questions tagged or ask your own question.